StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Functions
FxT Support

## Data Structures
struct | starpu_fxt_codelet_event
struct | starpu_fxt_options

## Functions
void | starpu_fxt_options_init (struct starpu_fxt_options *options)
void | starpu_fxt_generate_trace (struct starpu_fxt_options *options)
void | starpu_fxt_start_profiling (void)
void | starpu_fxt_stop_profiling (void)

## Detailed Description

## Data Structure Documentation

struct starpu_fxt_codelet_event

todo

Data Fields
char | symbol[256] | name of the codelet
int | workerid |
enum starpu_perfmodel_archtype | archtype |
uint32_t | hash |
size_t | size |
float | time |

struct starpu_fxt_options

todo

Data Fields
unsigned | per_task_colour |
unsigned | no_counter |
unsigned | no_bus |
unsigned | ninputfiles |
char * | filenames[STARPU_FXT_MAX_FILES] |
char * | out_paje_path |
char * | distrib_time_path |
char * | activity_path |
char * | dag_path |
char * | file_prefix | In case we are going to gather multiple traces (e.g in the case of MPI processes), we may need to prefix the name of the containers.
uint64_t | file_offset | In case we are going to gather multiple traces (e.g in the case of MPI processes), we may need to prefix the name of the containers.
int | file_rank | In case we are going to gather multiple traces (e.g in the case of MPI processes), we may need to prefix the name of the containers.
char | worker_names[STARPU_NMAXWORKERS][256] | Output parameters
enum starpu_perfmodel_archtype | worker_archtypes[STARPU_NMAXWORKERS] | Output parameters
int | nworkers | Output parameters
struct starpu_fxt_codelet_event ** | dumped_codelets | In case we want to dump the list of codelets to an external tool
long | dumped_codelets_count | In case we want to dump the list of codelets to an external tool

## Function Documentation

void starpu_fxt_options_init | ( | struct starpu_fxt_options * | options | ) |

todo

void starpu_fxt_generate_trace | ( | struct starpu_fxt_options * | options | ) |

todo

void starpu_fxt_start_profiling | ( | void |  | ) |

Start recording the trace. The trace is by default started from starpu_init() call, but can be paused by using starpu_fxt_stop_profiling(), in which case starpu_fxt_start_profiling() should be called to resume recording events.

void starpu_fxt_stop_profiling | ( | void |  | ) |

Stop recording the trace. The trace is by default stopped when calling starpu_shutdown(). starpu_fxt_stop_profiling() can however be used to stop it earlier. starpu_fxt_start_profiling() can then be called to start recording it again, etc.